curl --request GET \
--url https://qubesync.com/api/v1/connections/{connection_id}/qwc \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://qubesync.com/api/v1/connections/{connection_id}/qwc"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://qubesync.com/api/v1/connections/{connection_id}/qwc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qubesync.com/api/v1/connections/{connection_id}/qwc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qubesync.com/api/v1/connections/{connection_id}/qwc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qubesync.com/api/v1/connections/{connection_id}/qwc")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qubesync.com/api/v1/connections/{connection_id}/qwc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"qwc": "<?xml version=\"1.0\"?>\n<QBWCXML>\n <AppName>My App</AppName>\n <AppID></AppID>\n <AppURL>https://myapp.com/qbwc</AppURL>\n <AppDescription>My App Description</AppDescription>\n <AppSupport>https://myapp.com/support</AppSupport>\n <UserName>550e8400-e29b-41d4-a716-446655440001</UserName>\n <OwnerID>{550e8400-e29b-41d4-a716-446655440000}</OwnerID>\n <FileID>{123e4567-e89b-12d3-a456-426614174000}</FileID>\n <QBType>QBFS</QBType>\n <Scheduler>\n <RunEveryNMinutes>5</RunEveryNMinutes>\n </Scheduler>\n</QBWCXML>"
}Unauthorized{
"errors": {
"detail": "Not Found"
}
}Get QWC file for a connection
Returns a QWC file for the specified connection. The Web Connector lists it under the app’s name followed by the connection’s name in parentheses, and keeps it apart from other connections of the same app. Adding a newer file for the same connection replaces its entry.
curl --request GET \
--url https://qubesync.com/api/v1/connections/{connection_id}/qwc \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://qubesync.com/api/v1/connections/{connection_id}/qwc"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://qubesync.com/api/v1/connections/{connection_id}/qwc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qubesync.com/api/v1/connections/{connection_id}/qwc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qubesync.com/api/v1/connections/{connection_id}/qwc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qubesync.com/api/v1/connections/{connection_id}/qwc")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qubesync.com/api/v1/connections/{connection_id}/qwc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"qwc": "<?xml version=\"1.0\"?>\n<QBWCXML>\n <AppName>My App</AppName>\n <AppID></AppID>\n <AppURL>https://myapp.com/qbwc</AppURL>\n <AppDescription>My App Description</AppDescription>\n <AppSupport>https://myapp.com/support</AppSupport>\n <UserName>550e8400-e29b-41d4-a716-446655440001</UserName>\n <OwnerID>{550e8400-e29b-41d4-a716-446655440000}</OwnerID>\n <FileID>{123e4567-e89b-12d3-a456-426614174000}</FileID>\n <QBType>QBFS</QBType>\n <Scheduler>\n <RunEveryNMinutes>5</RunEveryNMinutes>\n </Scheduler>\n</QBWCXML>"
}Unauthorized{
"errors": {
"detail": "Not Found"
}
}Authorizations
Use your app's API_KEY as the username, and leave the password blank
Path Parameters
ID of the connection
Response
QWC file generated successfully
The contents of the QWC file
"<?xml version=\"1.0\"?>\n<QBWCXML>\n <AppName>My App</AppName>\n <AppID></AppID>\n <AppURL>https://myapp.com/qbwc</AppURL>\n <AppDescription>My App Description</AppDescription>\n <AppSupport>https://myapp.com/support</AppSupport>\n <UserName>550e8400-e29b-41d4-a716-446655440001</UserName>\n <OwnerID>{550e8400-e29b-41d4-a716-446655440000}</OwnerID>\n <FileID>{123e4567-e89b-12d3-a456-426614174000}</FileID>\n <QBType>QBFS</QBType>\n <Scheduler>\n <RunEveryNMinutes>5</RunEveryNMinutes>\n </Scheduler>\n</QBWCXML>"

